天天看點

Solidworks圖号代号分離宏代碼(兩段空格分離)

作者:54周小賢

Dim swApp As Object

Dim Part As Object

Dim SelMgr As Object

Dim boolstatus As Boolean

Dim longstatus As Long, longwarnings As Long

Dim Feature As Object

Dim a As Integer

Dim b As String

Dim m As String

Dim e As String

Dim k As String

Dim t As String

Dim c As String

Dim j As Integer

Dim strmat As String

Dim tempvalue As String

Sub main()

'link solidworks

Set swApp = Application.SldWorks

Set Part = swApp.ActiveDoc

Set SelMgr = Part.SelectionManager

swApp.ActiveDoc.ActiveView.FrameState = 1

'設定變量

c = swApp.ActiveDoc.GetTitle() '零件名

strmat = Chr(34) + Trim("SW-Material" + "@") + c + Chr(34)

blnretval = Part.DeleteCustomInfo2("", "圖号/型号")

blnretval = Part.DeleteCustomInfo2("", "名稱")

blnretval = Part.DeleteCustomInfo2("", "材料")

a = InStr(c, " ") - 1 '重點:分隔辨別符,這裡是一個空格

If a > 0 Then

k = Left(c, a)

t = Left(LTrim(e), 3)

If t = "GBT" Then

e = "GB/T" + Mid(k, 4)

Else

e = k

End If

b = Mid(c, a + 2)

t = Right(c, 7)

If t = ".SLDPRT" Or t = ".SLDASM" Then

j = Len(b) - 7

j = Len(b)

m = Left(b, j)

End If

blnretval = Part.AddCustomInfo3("", "圖号/型号", swCustomInfoText, e) '圖号/型号

blnretval = Part.AddCustomInfo3("", "名稱", swCustomInfoText, m) '名稱

blnretval = Part.AddCustomInfo3("", "表面處理", swCustomInfoText, " ")

End Sub

繼續閱讀